package eu.jonahbauer.wizard.core.machine.states.game;

import eu.jonahbauer.wizard.core.machine.Game;
import eu.jonahbauer.wizard.core.machine.states.GameData;
import eu.jonahbauer.wizard.core.machine.states.GameState;
import eu.jonahbauer.wizard.core.machine.states.round.StartingRound;

public final class Starting extends GameState {

    public Starting(GameData data) {
        super(data);
    }

    @Override
    public void onEnter(Game game) {
        transition(game, new StartingRound(getData()));
    }
}
